<?php 

$v_oid=trim($HTTP_POST_VARS['v_oid']);         
$v_pamount =trim($HTTP_POST_VARS['v_pamount']); 
$v_pmode =trim($HTTP_POST_VARS['v_pmode']);
$v_pstatus =trim($HTTP_POST_VARS['v_pstatus']);   
$v_pstring =trim($HTTP_POST_VARS['v_pstring']);   
$v_pdate =trim($HTTP_POST_VARS['v_pdate']);    
$v_pmd5 =trim($HTTP_POST_VARS['v_phpmd5']);     


$phpmd5=md5($mypcenter_id.$v_oid.$v_pmode.$v_pstatus.$v_pstring.$v_pamount.$v_pdate.$mypcenter_ikey);

if ($phpmd5==$v_pmd5){

	if($v_pstatus=="20"){

		$PageMain=Insert_Back_value($v_oid,$v_pamount);
	
	}else{

		$PageMain=err("支付失败!","member.php","");
	}

}else{

	$PageMain=err("签名认证错误!","member.php","");

}

?>
